Talk:Guided Tutorial GRC

From GNU Radio
Revision as of 19:33, 5 September 2019 by Cdonohue (talk | contribs) (Update to GR 3.8?: new section)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

I was able to get this tutorial (very informative btw) to work on Raspberry Pi 2 after the following steps:

Related previously installed programs: `sudo apt-get install rtl-sdr libtool libusb-1.0.0-dev librtlsdr-dev cmake`

Other Installs: `sudo apt-get install libboost-dev sqlite pyqt4-dev-tools liblog4cpp5 libboost-all-dev libcppunit-dev`

Note: most of the above are required but some may not be. I just kept Googling around and installing until the `cmake` worked.

If all programs are installed without reboot, the command `ldconfig` may be necessary to configure linker bindings.

To add "RTL-SDR Source" block to GNURadio, `sudo apt-get install gr-osmosdr'

Update to GR 3.8?

Now that GR 3.8 is out, should these be updated? The referenced gr-tutorials repo will also have to be updated for 3.8. Do we want to preserve the 3.7 tutorials somehow?